| Home | Libraries | People | FAQ | More

## Struct template min_impl

boost::accumulators::impl::min_impl

## Synopsis

    // In header: <boost/accumulators/statistics/min.hpp>

    template<typename Sample>
    struct min_impl {
      // types
      typedef Sample result_type;

      // construct/copy/destruct
      template<typename Args> min_impl(Args const &);

      // public member functions
      template<typename Args> void operator()(Args const &);
      result_type result(dont_care) const;
    };

## Description

### `min_impl` public construct/copy/destruct

1.     template<typename Args> min_impl(Args const & args);

### `min_impl` public member functions

1.     template<typename Args> void operator()(Args const & args);

2.     result_type result(dont_care) const;